/*		 ITI-FG  Kernel module free public release
 *
 *		     Copyright (C) 1996-2000 GOM mbH.
 *	         Rebenring 33, 38106 Braunschweig, GERMANY
 *		            All rights reserved
 *
 * $Id: iticonfig.l,v 7.0.2.1 2000/12/04 14:56:07 cvs Exp $
 *
 */

%{

#include	<stdio.h>
#include	<string.h>

#include	"y.tab.h"
#include	"itifgExt.h"

int		l_valid = FALSE;

%}

%%

#[^\n]*			/* forget any comment */

			/* native 'modular vision concept' motherboards */ 
"[ICP:0]"|"[IC-PCI:0]"		{ l_valid = TRUE; return (BOARD_0); }

"[ICP:1]"|"[IC-PCI:1]"		{ l_valid = TRUE; return (BOARD_1); }

"[ICP:2]"|"[IC-PCI:2]"		{ l_valid = TRUE; return (BOARD_2); }

"[ICP:3]"|"[IC-PCI:3]"		{ l_valid = TRUE; return (BOARD_3); }
			/* combined (mother)boards */
"[PCV:0]"|"[PCVision:0]"	{ l_valid = TRUE; return (BOARD_0); }
"[PCV:1]"|"[PCVision:1]"	{ l_valid = TRUE; return (BOARD_1); }
"[PCV:2]"|"[PCVision:2]"	{ l_valid = TRUE; return (BOARD_2); }
"[PCV:3]"|"[PCVision:3]"	{ l_valid = TRUE; return (BOARD_3); }
			/* other (mother/daugther)boards */
"[PCD:0]"|"[PCDig:0]"		{ l_valid = TRUE; return (BRD_MOD_PCD_0); }
"[PCD:1]"|"[PCDig:1]"		{ l_valid = TRUE; return (BRD_MOD_PCD_1); }
"[PCD:2]"|"[PCDig:2]"		{ l_valid = TRUE; return (BRD_MOD_PCD_2); }
"[PCD:3]"|"[PCDig:3]"		{ l_valid = TRUE; return (BRD_MOD_PCD_3); }
			/* native 'modular vision concept' daugtherboards */ 
"[AM-FA]"				{ l_valid = TRUE; return (MODULE_FA); }
"[AM-VS]"				{ l_valid = TRUE; return (MODULE_VS); }
"[AM-CLR]"|"[AM-CLR1]"|"[AM-Color]"	{ l_valid = TRUE; return (MODULE_C1); }
"[AM-DIG]"|"[AM-Digital]"		{ l_valid = TRUE; return (MODULE_DG); }
			/* combined (daugther)boards */
"[AM-V:0]"				{ l_valid = TRUE; return (MODULE_PV); }

"[CameraPort:0]"	{ l_valid = TRUE; return (CAMERA_0); }
"[CameraPort:1]"	{ l_valid = TRUE; return (CAMERA_1); }
"[CameraPort:2]"	{ l_valid = TRUE; return (CAMERA_2); }
"[CameraPort:3]"	{ l_valid = TRUE; return (CAMERA_3); }

"["[[:print:]]*"]"	{ l_valid = FALSE; }

Slot_Number[^\n]*
Startup_Port[^\n]*
Name[^\n]*
Camera_Structure[^\n]*
Create_Structure[^\n]*
Default_Structure[^\n]*
FPGA_File[^\n]*
Load_File[^\n]*
Load_Name[^\n]*
Model[^\n]*
CCIR
RS170
PARAM_GROUPS_APPLICABLE[^\n]*
NUM_CAMERAS[^\n]*

\"[[:print:]]*\"	{ if (l_valid) {
			    strcpy (yylval.char_val, yytext);
			    return (QUOTE);
			  }
			}

[[:digit:]]+		{ if (l_valid) {
			    yylval.long_val = strtol (yytext, NULL, 10);
			    return (INTEGER);
			  }
			}

0[xX][[:xdigit:]]+	{ if (l_valid) {
			    yylval.long_val = strtol (yytext, NULL, 16);
			    return (INTEGER);
			  }
			}

[[:digit:]]+"."[[:digit:]]+	{ if (l_valid) {
			    yylval.double_val = strtod (yytext, NULL);
			    return (FLOAT);
			  }
			}

[A-Z|a-z|0-9|_|"."]+	{ if (l_valid) {
			    strcpy (yylval.char_val, yytext);
			    return (STRING);
			  }
			}

=			{ return (EQUAL); }

,			{ return (NEXT); }

.|\n			/* forget the rest */

%%

